## hvml-xgui-pro 0.0.1

=== CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Determine CMake version and build type.
# -----------------------------------------------------------------------------
#
# NOTE: cmake_minimum_required() and project() *MUST* be the two first commands
# used, see https://cmake.org/cmake/help/v3.3/command/project.html -- the
# latter in particular handles loading a bunch of shared CMake definitions
# and loading the cross-compilation settings from CMAKE_TOOLCHAIN_FILE.
#

cmake_minimum_required(VERSION 3.15)

project(xGUIPro C CXX)

if (NOT CMAKE_BUILD_TYPE)
    message(WARNING "No CMAKE_BUILD_TYPE value specified, defaulting to RelWithDebInfo.")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build." FORCE)
else ()
    message(STATUS "The CMake build type is: ${CMAKE_BUILD_TYPE}")
endif ()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/source/cmake")

# -----------------------------------------------------------------------------
# Determine which port will be built
# -----------------------------------------------------------------------------
set(ALL_PORTS
    GTK
    Mac
)
set(PORT "NOPORT" CACHE STRING "choose which xGUI Pro port to build (one of ${ALL_PORTS})")

list(FIND ALL_PORTS ${PORT} RET)
if (${RET} EQUAL -1)
    message(FATAL_ERROR "Please choose which xGUI Pro port to build (one of ${ALL_PORTS})")
endif ()

string(TOLOWER ${PORT} XGUIPRO_PORT_DIR)

# -----------------------------------------------------------------------------
# Determine the compiler
# -----------------------------------------------------------------------------
if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang" OR ${CMAKE_CXX_COMPILER_ID} STREQUAL "AppleClang")
    set(COMPILER_IS_CLANG ON)
endif ()

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if (${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS "7.3.0")
        message(FATAL_ERROR "GCC 7.3 or newer is required to build xGUI Pro. Use a newer GCC version or Clang.")
    endif ()
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR COMPILER_IS_CLANG)
    set(COMPILER_IS_GCC_OR_CLANG ON)
endif ()

if (MSVC AND COMPILER_IS_CLANG)
    set(COMPILER_IS_CLANG_CL ON)
endif ()

# -----------------------------------------------------------------------------
# Determine the target processor
# -----------------------------------------------------------------------------
# Use MSVC_CXX_ARCHITECTURE_ID instead of CMAKE_SYSTEM_PROCESSOR when defined,
# since the later one just resolves to the host processor on Windows.
if (MSVC_CXX_ARCHITECTURE_ID)
    string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
else ()
    string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
endif ()
if (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(^aarch64|^arm64)")
    set(WTF_CPU_ARM64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    set(WTF_CPU_ARM 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips64")
    set(WTF_CPU_MIPS64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips")
    set(WTF_CPU_MIPS 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(x64|x86_64|amd64)")
    # FORCE_32BIT is set in the build script when --32-bit is passed
    # on a Linux/intel 64bit host. This allows us to produce 32bit
    # binaries without setting the build up as a crosscompilation,
    # which is the only way to modify CMAKE_SYSTEM_PROCESSOR.
    if (FORCE_32BIT)
        set(WTF_CPU_X86 1)
    else ()
        set(WTF_CPU_X86_64 1)
    endif ()
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
    set(WTF_CPU_X86 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc")
    set(WTF_CPU_PPC 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64")
    set(WTF_CPU_PPC64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64le")
    set(WTF_CPU_PPC64LE 1)
else ()
    set(WTF_CPU_UNKNOWN 1)
endif ()

# -----------------------------------------------------------------------------
# Determine the operating system
# -----------------------------------------------------------------------------
if (UNIX)
    if (APPLE)
        set(WTF_OS_MAC_OS_X 1)
    elseif (CMAKE_SYSTEM_NAME MATCHES "Linux")
        set(WTF_OS_LINUX 1)
    else ()
        set(WTF_OS_UNIX 1)
    endif ()
elseif (CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(WTF_OS_WINDOWS 1)
elseif (CMAKE_SYSTEM_NAME MATCHES "Fuchsia")
    set(WTF_OS_FUCHSIA 1)
else ()
    message(FATAL_ERROR "Unknown OS '${CMAKE_SYSTEM_NAME}'")
endif ()

# -----------------------------------------------------------------------------
# Default library types
# -----------------------------------------------------------------------------
# Override these in Options*.cmake for your port as needed.
set(WTF_LIBRARY_TYPE STATIC)
set(xGUIPro_LIBRARY_TYPE STATIC)

set(CMAKE_POSITION_INDEPENDENT_CODE True)

# -----------------------------------------------------------------------------
# Common configuration
#------------------------------------------------------------------------------
include(GlobalCommon)

SET_PROJECT_VERSION(0 6 0)
set(HVMLJS_VERSION 10)
set(XGUIPRO_API_VERSION 0.0)

set(PACKAGE xguipro)
set(PACKAGE_NAME "xGUIPro")
set(PACKAGE_VENDOR "FMSoft")
set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc/${PACKAGE}")
set(DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share")
set(LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/libexec")
set(DATADIR "${CMAKE_INSTALL_PREFIX}/share/${PACKAGE}")
set(EXTHELPERSDIR "${CMAKE_INSTALL_PREFIX}/lib/${PACKAGE}/ext.d")
add_definitions(-DPACKAGE="${PACKAGE}")

add_subdirectory(source)

# -----------------------------------------------------------------------------
# Print the features list last, for maximum visibility.
# -----------------------------------------------------------------------------
PRINT_XGUIPRO_OPTIONS()

# Packing stuff
set(CPACK_PACKAGE_VENDOR "FMSoft")
set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "xGUI Pro: an advanced HVML Renderer based on WebKit.")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
      "/auto/;/cmake/;/.svn/;/.git/;/.bzr/;/CMakeFiles/;/_CPack_Packages/;CMakeCache.txt$;
      ~$;.swp$;.cmake$;
      ${CPACK_SOURCE_IGNORE_FILES}")

#include(CPack)

=== source/CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Add components directories
# -----------------------------------------------------------------------------
add_subdirectory(wtf)
add_subdirectory(lib)
add_subdirectory(bin)

XGUIPRO_INCLUDE_CONFIG_FILES_IF_EXISTS()

=== source/bin/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "bin")

include(GlobalCommon)
include(target/xGUIPro)
include(MyMacros.cmake)

set(XGUIPRO_WEB_EXTENSIONS_OUTPUT_DIR "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/webext")
set(XGUIPRO_WEB_EXTENSIONS_INSTALL_DIR "${LIB_INSTALL_DIR}/xguipro")

configure_file(xguipro-version.h.in ${xGUIPro_DERIVED_SOURCES_DIR}/xguipro-version.h)
configure_file(xguipro-features.h.in ${xGUIPro_DERIVED_SOURCES_DIR}/xguipro-features.h)

add_subdirectory(webext)

XGUIPRO_EXECUTABLE_DECLARE(xguipro)

list(APPEND xguipro_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${xGUIPro_DERIVED_SOURCES_DIR}"
    "${XGUIPRO_LIB_DIR}"
    "${XGUIPRO_BIN_DIR}"
)

list(APPEND xguipro_SYSTEM_INCLUDE_DIRECTORIES
)

list(APPEND xguipro_DEFINITIONS
)

XGUIPRO_EXECUTABLE(xguipro)

set(xguipro_PLATFORM_INDEPENDENT_DIRS
    "purcmc"
    "layouter"
)

APPEND_ALL_SOURCE_FILES_IN_DIRLIST(xguipro_SOURCES
        "${xguipro_PLATFORM_INDEPENDENT_DIRS}")

list(APPEND xguipro_SOURCES
)

set(xguipro_LIBRARIES
    xGUIPro::xGUIPro
    WebKit::JSC
    WebKit::WebKit
    DOMRuler::DOMRuler
    PurC::PurC
    pthread
)

XGUIPRO_INCLUDE_CONFIG_FILES_IF_EXISTS()

XGUIPRO_COMPUTE_SOURCES(xguipro)
XGUIPRO_FRAMEWORK(xguipro)

install(TARGETS xguipro DESTINATION "${EXEC_INSTALL_DIR}/")

XGUIPRO_EXECUTABLE_DECLARE(test_layouter)

list(APPEND test_layouter_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${xGUIPro_DERIVED_SOURCES_DIR}"
    "${XGUIPRO_LIB_DIR}"
    "${XGUIPRO_BIN_DIR}"
)

list(APPEND test_layouter_SYSTEM_INCLUDE_DIRECTORIES
    "${GLIB_INCLUDE_DIRS}"
)

list(APPEND test_layouter_DEFINITIONS
)

XGUIPRO_EXECUTABLE(test_layouter)

set(test_layouter_PLATFORM_INDEPENDENT_DIRS
    "layouter"
)

APPEND_ALL_SOURCE_FILES_IN_DIRLIST(test_layouter_SOURCES
        "${test_layouter_PLATFORM_INDEPENDENT_DIRS}")

list(APPEND test_layouter_SOURCES
    "test_layouter.c"
)

set(test_layouter_LIBRARIES
    xGUIPro::xGUIPro
    DOMRuler::DOMRuler
    PurC::PurC
    pthread
)

XGUIPRO_COMPUTE_SOURCES(test_layouter)
XGUIPRO_FRAMEWORK(test_layouter)

set(test_files_FILES
    "${CMAKE_BINARY_DIR}/test_layouter.html"
)

set(test_files_SOURCES
    "layout-panes.html"
    "test_layouter.html"
)

file(COPY ${test_files_SOURCES} DESTINATION "${CMAKE_BINARY_DIR}")

add_custom_target(test_files DEPENDS ${test_files_FILES})
add_dependencies(test_layouter test_files)

=== source/lib/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "lib")

include(GlobalCommon)
include(MyMacros.cmake)

set(xGUIPro_SYSTEM_INCLUDE_DIRECTORIES
    ${GLIB_INCLUDE_DIRS}
)

set(xGUIPro_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${XGUIPRO_LIB_DIR}"
    "${xGUIPro_DERIVED_SOURCES_DIR}"
    "${FORWARDING_HEADERS_DIR}"
)

# TODO: List the headers should be installed to system here.
set(xGUIPro_INSTALLED_HEADERS
)

# TODO: List the directorires which do not contain any platform-dependent C source files
set(xGUIPro_PLATFORM_INDEPENDENT_DIRS
    "utils"
)

# This macro will append all C/CXX source files in ${xGUIPro_PLATFORM_INDEPENDENT_DIRS}
# to ${xGUIPro_SOURCES}
APPEND_ALL_SOURCE_FILES_IN_DIRLIST(xGUIPro_SOURCES "${xGUIPro_PLATFORM_INDEPENDENT_DIRS}")

# TODO: List the source files individually.
list(APPEND xGUIPro_SOURCES
)

# Put the CXX source files which can be unified in `Sources.txt`
list(APPEND xGUIPro_UNIFIED_SOURCE_LIST_FILES
    "Sources.txt"
)

set(xGUIPro_LIBRARIES
    ${GLIB_LIBRARIES}
)

set(xGUIPro_INTERFACE_LIBRARIES xGUIPro)
set(xGUIPro_INTERFACE_INCLUDE_DIRECTORIES ${xGUIPro_PRIVATE_FRAMEWORK_HEADERS_DIR})

XGUIPRO_FRAMEWORK_DECLARE(xGUIPro)

XGUIPRO_WRAP_SOURCELIST(${xGUIPro_SOURCES})

XGUIPRO_COPY_FILES(xGUIPro_CopyPrivateHeaders
    DESTINATION ${xGUIPro_PRIVATE_FRAMEWORK_HEADERS_DIR}/xguipro
    FILES ${xGUIPro_PRIVATE_FRAMEWORK_HEADERS}
    FLATTENED
)
list(APPEND xGUIPro_INTERFACE_DEPENDENCIES xGUIPro_CopyPrivateHeaders)
# xGUIPro_CopyPrivateHeaders needs to have a direct or indirect
# dependency of xGUIPro target for CMake Visual Studio generator to
# eliminate duplicated custom commands. Otherwise, CSSPropertyNames.h
# will be generated in both projects.
if (NOT INTERNAL_BUILD)
    add_dependencies(xGUIPro_CopyPrivateHeaders xGUIPro)
endif ()

XGUIPRO_COMPUTE_SOURCES(xGUIPro)
XGUIPRO_FRAMEWORK(xGUIPro)
XGUIPRO_FRAMEWORK_TARGET(xGUIPro)

# The -ftree-sra optimization (implicit with -O2) causes crashes when
# allocating large chunks of memory using bmalloc on Intel 32bit.
# See https://bugs.webkit.org/show_bug.cgi?id=146440
string(TOLOWER ${CMAKE_HOST_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_HOST_SYSTEM_PROCESSOR)
if (CMAKE_COMPILER_IS_GNUCXX AND "${LOWERCASE_CMAKE_HOST_SYSTEM_PROCESSOR}" MATCHES "(i[3-6]86|x86)$")
    XGUIPRO_ADD_TARGET_CXX_FLAGS(xGUIPro -fno-tree-sra)
endif ()

if (${xGUIPro_LIBRARY_TYPE} MATCHES "SHARED")
    set_target_properties(xGUIPro PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
# install(TARGETS xGUIPro DESTINATION "${LIB_INSTALL_DIR}")
endif ()

if (MSVC)
    set_target_properties(xGUIPro PROPERTIES
        COMPILE_PDB_NAME ${xGUIPro_OUTPUT_NAME}
    )
endif ()

# add_subdirectory(res)

# install(TARGETS xGUIPro DESTINATION "${LIB_INSTALL_DIR}/")

# install(FILES ${xGUIPro_INSTALLED_HEADERS} DESTINATION "${HEADER_INSTALL_DIR}/xguipro")

=== source/wtf/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "wtf")

include(GlobalCommon)
include(MyMacros.cmake)

CHECK_THREAD_LOCAL_STORAGE_KEYWORD()
configure_file(wtf/TLSKeyword.h.in ${WTF_FRAMEWORK_HEADERS_DIR}/wtf/TLSKeyword.h)

add_subdirectory(wtf)

=== source/bin/webext/CMakeLists.txt ===
XGUIPRO_INCLUDE_CONFIG_FILES_IF_EXISTS()

configure_file(assets/hvml.js.in ${xGUIPro_DERIVED_SOURCES_DIR}/webext/hvml.js @ONLY)
configure_file(assets/about.html.in ${xGUIPro_DERIVED_SOURCES_DIR}/webext/about.html @ONLY)

set(XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR "${XGUIPRO_WEB_EXTENSIONS_OUTPUT_DIR}/assets")
set(XGUIPRO_WEBEXT_ASSETS_INSTALL_DIR "${XGUIPRO_WEB_EXTENSIONS_INSTALL_DIR}/assets")

set(assets_SOURCES
    "${xGUIPro_DERIVED_SOURCES_DIR}/webext/hvml.js"
    "${xGUIPro_DERIVED_SOURCES_DIR}/webext/about.html"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-v.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-bright.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-dark.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-v-black.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-v-fill-white.png"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-v-fill.svg"
    "${XGUIPRO_BIN_DIR}/webext/assets/hvml-v.svg"
    "${XGUIPRO_BIN_DIR}/webext/assets/workspace-layouter.css"
)

set(bootstrap_DIRECTORY
    "assets/bootstrap-5.1.3-dist"
)

set(assets_FILES
    "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}/hvml.js"
    "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}/about.html"
)

add_custom_command(
    OUTPUT ${assets_FILES}
    DEPENDS ${assets_SOURCES}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}
    COMMAND ${CMAKE_COMMAND} -E copy ${assets_SOURCES} ${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}
    COMMENT "Copy assets..."
    VERBATIM)

add_custom_target(assets DEPENDS ${assets_FILES})
add_dependencies(WebExtensionHVML assets)

file(ARCHIVE_EXTRACT
        INPUT "${XGUIPRO_BIN_DIR}/webext/assets/bootstrap-5.1.3-dist.zip"
        DESTINATION "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}"
        VERBOSE)

file(ARCHIVE_EXTRACT
        INPUT "${XGUIPRO_BIN_DIR}/webext/assets/bootstrap-icons-1.8.3.zip"
        DESTINATION "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}"
        VERBOSE)

install(FILES ${assets_SOURCES}
        DESTINATION ${XGUIPRO_WEBEXT_ASSETS_INSTALL_DIR})

install(DIRECTORY "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}/bootstrap-5.1.3-dist"
        DESTINATION ${XGUIPRO_WEBEXT_ASSETS_INSTALL_DIR})

install(DIRECTORY "${XGUIPRO_WEBEXT_ASSETS_OUTPUT_DIR}/bootstrap-icons-1.8.3"
        DESTINATION ${XGUIPRO_WEBEXT_ASSETS_INSTALL_DIR})

=== source/wtf/wtf/CMakeLists.txt ===
set(WTF_PUBLIC_HEADERS
    Compiler.h
    ExportMacros.h
    Platform.h
    PlatformCallingConventions.h
    PlatformCPU.h
    PlatformEnable.h
    PlatformHave.h
    PlatformLegacy.h
    PlatformOS.h
    PlatformUse.h
)

set(WTF_SOURCES
    nothing.c
)

set(WTF_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${WTF_DERIVED_SOURCES_DIR}"
    "${WTF_DIR}"
    "${WTF_DIR}/wtf"
)

set(WTF_LIBRARIES
    ${CMAKE_DL_LIBS}
)

#if (NOT USE_SYSTEM_MALLOC)
#    list(APPEND WTF_LIBRARIES xGUIPro::bmalloc)
#endif ()

set(WTF_INTERFACE_LIBRARIES WTF)
set(WTF_INTERFACE_INCLUDE_DIRECTORIES ${WTF_FRAMEWORK_HEADERS_DIR})
set(WTF_INTERFACE_DEPENDENCIES WTF_CopyHeaders)

XGUIPRO_FRAMEWORK_DECLARE(WTF)
XGUIPRO_INCLUDE_CONFIG_FILES_IF_EXISTS()

XGUIPRO_COPY_FILES(WTF_CopyHeaders
    DESTINATION ${WTF_FRAMEWORK_HEADERS_DIR}/wtf
    FILES ${WTF_PUBLIC_HEADERS}
)

XGUIPRO_WRAP_SOURCELIST(${WTF_SOURCES})
XGUIPRO_FRAMEWORK(WTF)
XGUIPRO_FRAMEWORK_TARGET(WTF)

if (MSVC)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /SUBSYSTEM:WINDOWS")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS")
endif ()

=== debian/changelog ===
hvml-xgui-pro (0.0.1-1) unstable; urgency=medium

  * initial release

 -- lichenggang <lichenggang@uniontech.com>  Tue, 23 Mar 2021 08:49:57 +0100

=== debian/control ===
Source: hvml-xgui-pro
Section: libs
Priority: optional
Maintainer: Vincent Wei <vincent@minigui.org>
Build-Depends: debhelper-compat (= 13), cmake, libwebkit2gtk-hvml-4.0-dev, libsoup2.4-dev, libssl-dev, libgtk-3-dev, hvml-dom-ruler, hvml-purc-bin, libhvml-purc-dev, libxml2, ninja-build, libcurl4-openssl-dev, libkf5kjs-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/HVML/PurC

Package: hvml-xgui-pro
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: xGUI Pro is a modern, cross-platform, and advanced HVML renderer which is based on tailored WebKit.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=/usr -DPORT=GTK -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_LIBEXECDIR=lib -B .

override_dh_auto_build:
	cmake --build .
override_dh_dwz:
#override_dh_installdocs:
# Do not install a copyright file
# no /usr/share/docs/* needed!
#dh_installdocs --exclude=debian/copyright
# Do not install changelogs for space conservation
#override_dh_installchangelogs:
